summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDarren Tucker <dtucker@zip.com.au>2005-03-07 18:25:53 +1100
committerDarren Tucker <dtucker@zip.com.au>2005-03-07 18:25:53 +1100
commit68f7213a2cb1fa846d8eab215f1cde35e2abc20b (patch)
tree8a5b81c209a787b9eca6650b2f73c9df829e4001
parent1c56ef6ac3c7818e5c71dd1f62a9473f340be9f2 (diff)
- fgsch@cvs.openbsd.org 2004/12/10 01:31:30
[Makefile sftp-glob.sh] some globbing regress; prompted and ok djm@
-rw-r--r--ChangeLog4
-rw-r--r--regress/sftp-glob.sh28
2 files changed, 30 insertions, 2 deletions
diff --git a/ChangeLog b/ChangeLog
index d7682c03..1949e264 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -3,7 +3,7 @@
BSM audit support for the time being. ok djm@
- (dtucker) OpenBSD CVS Sync (regress/)
- fgsch@cvs.openbsd.org 2004/12/10 01:31:30
- [Makefile]
+ [Makefile sftp-glob.sh]
some globbing regress; prompted and ok djm@
20050306
@@ -2291,4 +2291,4 @@
- (djm) Trim deprecated options from INSTALL. Mention UsePAM
- (djm) Fix quote handling in sftp; Patch from admorten AT umich.edu
-$Id: ChangeLog,v 1.3695 2005/03/07 06:36:18 dtucker Exp $
+$Id: ChangeLog,v 1.3696 2005/03/07 07:25:53 dtucker Exp $
diff --git a/regress/sftp-glob.sh b/regress/sftp-glob.sh
new file mode 100644
index 00000000..e238356a
--- /dev/null
+++ b/regress/sftp-glob.sh
@@ -0,0 +1,28 @@
+# $OpenBSD: sftp-glob.sh,v 1.1 2004/12/10 01:31:30 fgsch Exp $
+# Placed in the Public Domain.
+
+tid="sftp glob"
+
+BASE=${OBJ}/glob
+DIR=${BASE}/dir
+DATA=${DIR}/file
+
+rm -rf ${BASE}
+mkdir -p ${DIR}
+touch ${DATA}
+
+verbose "$tid: ls file"
+echo "ls -l ${DIR}/fil*" | ${SFTP} -P ${SFTPSERVER} 2>/dev/null | \
+ grep ${DATA} >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+ fail "globbed ls file failed"
+fi
+
+verbose "$tid: ls dir"
+echo "ls -l ${BASE}/d*" | ${SFTP} -P ${SFTPSERVER} 2>/dev/null | \
+ grep file >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+ fail "globbed ls dir failed"
+fi
+
+rm -rf ${BASE}